| Irrlicht 3D Engine |

Public Member Functions
irr::gui::IGUISpriteBank Class Reference

Sprite bank interface. More...

`#include <IGUISpriteBank.h>`

Inheritance diagram for irr::gui::IGUISpriteBank:

List of all members.

## Public Member Functions

- virtual void addTexture (video::ITexture *texture)=0
    Adds a texture to the sprite bank.
- virtual s32 addTextureAsSprite (video::ITexture *texture)=0
- virtual void clear ()=0
    clears sprites, rectangles and textures
- virtual void draw2DSprite (u32 index, const core::position2di &pos, const core::rect< s32 > *clip=0, const video::SColor &color=video::SColor(255, 255, 255, 255), u32 starttime=0, u32 currenttime=0, bool loop=true, bool center=false)=0
    Draws a sprite in 2d with position and color.
- virtual void draw2DSpriteBatch (const core::array< u32 > &indices, const core::array< core::position2di > &pos, const core::rect< s32 > *clip=0, const video::SColor &color=video::SColor(255, 255, 255, 255), u32 starttime=0, u32 currenttime=0, bool loop=true, bool center=false)=0
    Draws a sprite batch in 2d using an array of positions and a color.
- virtual core::array
  < core::rect< s32 > > & getPositions ()=0
    Returns the list of rectangles held by the sprite bank.
- virtual core::array< SGUISprite > & getSprites ()=0
    Returns the array of animated sprites within the sprite bank.
- virtual video::ITexture * getTexture (u32 index) const =0
    Gets the texture with the specified index.
- virtual u32 getTextureCount () const =0
    Returns the number of textures held by the sprite bank.
- virtual void setTexture (u32 index, video::ITexture *texture)=0
    Changes one of the textures in the sprite bank.

## Detailed Description

Sprite bank interface.

See http://irrlicht.sourceforge.net/phpBB2/viewtopic.php?t=25742&highlight=spritebank for more information how to use the spritebank.

Definition at line 45 of file IGUISpriteBank.h.

## Member Function Documentation

virtual void irr::gui::IGUISpriteBank::addTexture | ( | video::ITexture * | texture | ) | `[pure virtual]`

Adds a texture to the sprite bank.

virtual s32 irr::gui::IGUISpriteBank::addTextureAsSprite | ( | video::ITexture * | texture | ) | `[pure virtual]`

Add the texture and use it for a single non-animated sprite. The texture and the corresponding rectangle and sprite will all be added to the end of each array. returns the index of the sprite or -1 on failure

virtual void irr::gui::IGUISpriteBank::clear | ( |  | ) | `[pure virtual]`

clears sprites, rectangles and textures

virtual void irr::gui::IGUISpriteBank::draw2DSprite | ( | u32 | index,
|  | const core::position2di & | pos,
|  | const core::rect< s32 > * | clip = `0`,
|  | const video::SColor & | color = `video::SColor(255, 255, 255, 255)`,
|  | u32 | starttime = `0`,
|  | u32 | currenttime = `0`,
|  | bool | loop = `true`,
|  | bool | center = `false`
| ) |  | `[pure virtual]`

Draws a sprite in 2d with position and color.

virtual void irr::gui::IGUISpriteBank::draw2DSpriteBatch | ( | const core::array< u32 > & | indices,
|  | const core::array< core::position2di > & | pos,
|  | const core::rect< s32 > * | clip = `0`,
|  | const video::SColor & | color = `video::SColor(255, 255, 255, 255)`,
|  | u32 | starttime = `0`,
|  | u32 | currenttime = `0`,
|  | bool | loop = `true`,
|  | bool | center = `false`
| ) |  | `[pure virtual]`

Draws a sprite batch in 2d using an array of positions and a color.

virtual core::array< core::rect<s32> >& irr::gui::IGUISpriteBank::getPositions | ( |  | ) | `[pure virtual]`

Returns the list of rectangles held by the sprite bank.

virtual core::array< SGUISprite >& irr::gui::IGUISpriteBank::getSprites | ( |  | ) | `[pure virtual]`

Returns the array of animated sprites within the sprite bank.

virtual video::ITexture* irr::gui::IGUISpriteBank::getTexture | ( | u32 | index | ) | const`[pure virtual]`

Gets the texture with the specified index.

virtual u32 irr::gui::IGUISpriteBank::getTextureCount | ( |  | ) | const`[pure virtual]`

Returns the number of textures held by the sprite bank.

virtual void irr::gui::IGUISpriteBank::setTexture | ( | u32 | index,
|  | video::ITexture * | texture
| ) |  | `[pure virtual]`

Changes one of the textures in the sprite bank.

The documentation for this class was generated from the following file:

- IGUISpriteBank.h